<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<title>Laracast follow along</title>
<!--  pulling in vue -->
<script src="https://unpkg.com/vue@3"></script>

</head>

<body>

<div id="app">

    <p>
        <input type="text" v-model="greeting"> <!-- we use v model binding here to us the input from the text box and bind the string info to "greeting" -->
    </p>


    <p>
      {{ greeting }} ({{greeting.length}})
    </p>

    </div>

<script>
    Vue.createApp({
        data() {
            return{
                greeting: 'hello world'
            };

        }


    }).mount('#app');
</script>

</body>

</html>